What is required for Website Builder?

You can log on Website Builder through the browser on your computer.
The following browsers are supported by Website Builder:

Chrome (version 30 or newer)
Firefox (version 28 or newer)
Edge (version 12 or newer)
Internet Explorer (version 10 or newer)
Safari (version 7 or newer)
Opera (version 20 or newer)